local bytemap = require("plugin.Bytemap")

display.newRect(display.contentCenterX, display.contentCenterY, display.contentWidth, display.contentHeight):setFillColor(.3, 0.3, .3)

local function drawOutline(obj, vertices)
	local halfW = obj.width * 0.5
	local halfH = obj.height * 0.5
	for i=1, #vertices, 2 do
		local x, y = obj:localToContent(vertices[i] - halfW, vertices[i+1] - halfH)
		display.newCircle(x, y, 3):setFillColor(1, 0, 0, 0.9)
	end
end

local function load(imgFile, x, y)
	local bmap = bytemap.loadTexture{ format = "rgba", filename = imgFile }
	local a = display.newImage(bmap.filename, bmap.baseDir, x - 200, y)
	-- bmap:invalidate()
	local b = display.newImage(imgFile, x + 200, y)

	local aVertices = graphics.newOutline(2, bmap.filename, bmap.baseDir)
	drawOutline(a, aVertices)

	local bVertices = graphics.newOutline(2, imgFile)
	drawOutline(b, bVertices)
end

display.newText("plugin", display.contentCenterX - 200, 50, native.systemFont, 40)
display.newText("solar2d", display.contentCenterX + 200, 50, native.systemFont, 40)
load("2.png", display.contentCenterX, display.contentCenterY - 300)
load("3.png", display.contentCenterX, display.contentCenterY)
load("1.png", display.contentCenterX, display.contentCenterY + 300)
